#!/usr/bin/perl
use POSIX qw(strftime);


$cal = `cal -m`;
$nbrWeeks = $cal;

@nbrWeeks = split("\n",$nbrWeeks);
$extraWeek = 0;
if( length(@nbrWeeks[7]) > 0 ){
    $extraWeek = 1;
}

$result = $cal . "\n-----------\n";

($Second, $Minute, $Hour, $Day, $Month, $Year, $WeekDay, $DayOfYear, $IsDST) = localtime(time);
$len = length($Day);

if ($len == 1){
    $cal =~ s/[^0-9]{1}$Day([^0-9])/ Z$1/g;
}
if ($len == 2){
    $cal =~ s/$Day/Z/g;
}

$cal =~ s/[0-9A-Ya-z]/ /g;
$cal =~ s/Z/$Day/g;
$result = $result . $cal . "\n";


$weekNbr = strftime "%U", (-1, -1, -1, 0, $Month, $Year,-1 ,-1, $IsDST);
for ($i = 1; $i <= 5 + $extraWeek; $i++){ 
   $result = $result . ($weekNbr+$i) . "\n";
}

#$result =~ s/(.*)\n/$1 \n/g;

print $result;

